#include <stdlib.h>
#include <stdio.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include "config.h"

#include "lcd.h"
#include "sdkarte/fat16.h"
#include "sdkarte/sdcard.h"
#include "util/delay.h"

int main(void)
{
	int bufferlen=512;
	char buffer[512]="test";

	//Spielerrei mit einem LCD
	lcd_init();
	lcd_clear();
	back_light = 10;

	lcd_print(0,0,"lcdinit");

	//sd-Karte starten
	f16_init();
	f16_check();	// Ein-/Ausstecken der SD-Karte erkennen

	_delay_ms(1000);
	lcd_print(0,0,"sdinit ");

	if(cwdir_ptr){	// falls SD-Karte vorhanden

		lcd_print(0,0,"open   ");

		File *picfile = f16_open("camera.jpg","a");

		f16_fseek(picfile,0,0);
		fat16_write_file(picfile, (uint8_t *)&buffer[0], bufferlen);
		f16_flush();	// Cache leeren
		f16_close(picfile);
	}

	lcd_print(0,0,"while  ");

	while(1)
	{
		#if USE_MMC
			f16_check();	// Ein-/Ausstecken der SD-Karte erkennen
		#endif
	}

	return(0);
}
